# SPDX-FileCopyrightText: 2025 Sarah Vaupel <sarah.vaupel@uniworx.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

parameters:
  - name: cacheIdent
    type: string
  - name: cacheKeys
    type: string
  - name: cachePath
    type: string

steps:
  - task: Cache@2
    displayName: Restore ${{parameters.cacheIdent}} cache
    inputs:
      key: '"${{parameters.cacheIdent}}" | ${{parameters.cacheKeys}}'
      path: '${{parameters.cachePath}}'